> ## Documentation Index
> Fetch the complete documentation index at: https://developers.myhero.so/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve workspace dashboard info

> Returns aggregated information for the workspace dashboard, including the workspace record and member profiles.

Owners and admins also receive the list of pending invitations.



## OpenAPI

````yaml get /workspace/{workspaceId}/dashboard-info
openapi: 3.1.0
info:
  title: HERO API
  version: current
  description: |-
    The HERO REST API.

    See https://developers.myhero.so for the rendered docs.
servers:
  - url: https://app.myhero.so
security: []
paths:
  /workspace/{workspaceId}/dashboard-info:
    get:
      tags:
        - Workspaces
      summary: Retrieve workspace dashboard info
      description: >-
        Returns aggregated information for the workspace dashboard, including
        the workspace record and member profiles.


        Owners and admins also receive the list of pending invitations.
      operationId: getWorkspaceDashboardInfo
      parameters:
        - schema:
            type: string
            minLength: 1
          required: true
          name: workspaceId
          in: path
      responses:
        '200':
          description: 200 response
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      workspace:
                        type: object
                        properties:
                          _id:
                            type: string
                          name:
                            type: string
                          description:
                            type: string
                          isDefault:
                            type: boolean
                            example: false
                          isShared:
                            type: boolean
                            example: false
                          organizationId:
                            type: string
                          ownerId:
                            type: string
                          collaborators:
                            type: array
                            items:
                              type: object
                              properties:
                                userId:
                                  type: string
                                role:
                                  type: string
                                  enum:
                                    - owner
                                    - admin
                                    - member
                                    - editor
                                    - viewer
                              required:
                                - userId
                                - role
                          createdAt:
                            type: number
                          updatedAt:
                            type: number
                        required:
                          - _id
                          - name
                          - isDefault
                          - isShared
                          - organizationId
                          - ownerId
                          - collaborators
                          - createdAt
                          - updatedAt
                      members:
                        type: array
                        items:
                          type: object
                          properties:
                            _id:
                              type: string
                            name:
                              type: string
                            email:
                              type: string
                            fbUid:
                              type: string
                            avatarId:
                              type: string
                          required:
                            - _id
                            - name
                            - email
                            - fbUid
                      pendingInvites:
                        type: array
                        items: {}
                    required:
                      - workspace
                      - members
                      - pendingInvites
                required:
                  - data
        '400':
          description: 400 response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: |-
                      Error class name (e.g.

                      ValidationError, NotFound)
                  message:
                    type: string
                    description: Human-readable error message
                  details:
                    type: array
                    items: {}
                required:
                  - error
                  - message
        '403':
          description: 403 response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: |-
                      Error class name (e.g.

                      ValidationError, NotFound)
                  message:
                    type: string
                    description: Human-readable error message
                  details:
                    type: array
                    items: {}
                required:
                  - error
                  - message
        '404':
          description: 404 response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: |-
                      Error class name (e.g.

                      ValidationError, NotFound)
                  message:
                    type: string
                    description: Human-readable error message
                  details:
                    type: array
                    items: {}
                required:
                  - error
                  - message
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: HERO personal access token

````